Imports CharterDotCom.CommonEntities.Library.Enumerations
Imports CharterDotCom.WebSite.Library
Imports CharterDotCom.CommonEntities.Library
' Imports CharterDotCom.Common.Logging
Imports CheckFirmwareUpgradeEligibility

Partial Class FirmwareUpgrade_Question
    Inherits CharterCMSPage

    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        SetContentKeys()
    End Sub

    Private Sub SetContentKeys()
        'Support / Overview
        'Me.litSupportOverviewHeader.Text = GetCMSContent("Support:Overview:Header")
    End Sub

    Private Function GetCMSContent(ByVal userControlName As String) As String
        Dim cmsContent As String = String.Empty

        'Logger.WebLog("GetCMSContent")

        cmsContent = ContentManager.Instance.GetContent(userControlName, "1", OwnerType.Other)
        If (cmsContent Is Nothing) Then
            cmsContent = "content not found: " & userControlName
        End If
        Return cmsContent
    End Function
End Class
